Please merge nginx 0.7.65 from Debian

Bug #531655 reported by Daniel Hahler on 2010-03-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Daniel Hahler

Bug Description

Binary package hint: nginx

Debian changelog:

nginx (0.7.65-1) unstable; urgency=low

  [Kartik Mistry]
  * New upstream release
  * debian/init.d:
    + $local_fs $remote_fs $network $syslog is what we need in Required-Start
    and Required-Stop (Closes: #568238)
  * debian/copyright:
    + Updated package copyright year
    + Updated license text to make same as upstream license

 -- Kartik Mistry <email address hidden> Fri, 05 Feb 2010 11:20:28 +0530

nginx (0.7.64-3) unstable; urgency=low

  [Kartik Mistry]
  * debian/conf/sites-available/default:
    + Added patch to fix default virtual host, Thanks to Thomas Venieris
     <email address hidden> (Closes: #564726)
  * debian/init.d:
    + Added dependency on $remote_fs in Required-Start and Required-Stop
      (Closes: #566862)
  * Converted package to use 3.0 (quilt) source format
  * Updated to Standards-Version 3.8.4

 -- Kartik Mistry <email address hidden> Mon, 01 Feb 2010 23:44:21 +0530

Upstream changelog:
Changes with nginx 0.7.65 01 Feb 2010

    *) Security: now nginx/Windows ignores trailing spaces in URI.
       Thanks to Dan Crowley, Core Security Technologies.

    *) Security: now nginx/Windows ignores short files names.
       Thanks to Dan Crowley, Core Security Technologies.

    *) Change: now the "009" status code is written to an access log for
       proxied HTTP/0.9 responses.

    *) Change: now the default buffer size of the
       "large_client_header_buffers" directive is 8K.
       Thanks to Andrew Cholakian.

    *) Change: now default SSL ciphers are "HIGH:!ADH:!MD5".

    *) Change: now SSLv2 protocol is disabled by default.

    *) Change: now $host variable value is always low case.

    *) Feature: the conf/fastcgi.conf for simple FastCGI configurations.

    *) Feature: now URI part is not required a "proxy_pass" directive if
       variables are used.

    *) Feature: the $ssl_session_id variable.

    *) Bugfix: if a proxied or FastCGI request was internally redirected to
       another proxied or FastCGI location, then $upstream_response_time
       variable may have abnormally large value; the bug had appeared in
       0.7.63.

    *) Bugfix: if the "expires modified" set date in the past, then a
       negative number was set in the "Cache-Control" response header
       line.
       Thanks to Alex Kapranoff.

    *) Bugfix: nginx closed a connection if a cached response had an empty
       body.
       Thanks to Piotr Sikora.

    *) Bugfix: nginx cached a 304 response if there was the "If-None-Match"
       header line in a proxied request.
       Thanks to Tim Dettrick and David Kostal.

    *) Bugfix: nginx did not treat a comma as separator in the
       "Cache-Control" backend response header line.

    *) Bugfix: cached HTTP/0.9 responses were handled incorrectly.

    *) Bugfix: nginx sent gzipped responses to clients those do not support
       gzip, if "gzip_static on" and "gzip_vary off"; the bug had appeared
       in 0.8.16.

    *) Bugfix: nginx always added "Content-Encoding: gzip" response header
       line in 304 responses sent by ngx_http_gzip_static_module.

    *) Bugfix: the "!-x" operator did not work.
       Thanks to Maxim Dounin.

    *) Bugfix: a segmentation fault might occur in a worker process, if
       limit_rate was used in HTTPS server.
       Thanks to Maxim Dounin.

    *) Bugfix: a segmentation fault might occur in a worker process while
       $limit_rate logging.
       Thanks to Maxim Dounin.

    *) Bugfix: nginx did not support dates in 2038 year on 32-bit platforms;

    *) Bugfix: nginx/Windows tried to delete a temporary file twice if the
       file should replace an already existent file.

    *) Bugfix: nginx/Windows tried to rename a temporary file twice if the
       file should replace an already existent file.

    *) Bugfix: nginx/Windows might not create temporary file, a cache file,
       or "proxy/fastcgi_store"d file if a worker had no enough access
       rights for top level directories.

    *) Bugfix: in UTF-8 encoding support by "try_files" directive in
       nginx/Windows.

    *) Bugfix: UTF-8 encoding usage in the ngx_http_autoindex_module.
       Thanks to Maxim Dounin.

    *) Bugfix: the ngx_http_autoindex_module did not show the trailing
       slash in links to a directory; the bug had appeared in 0.7.15.

    *) Bugfix: nginx did not close a log file set by the --error-log-path
       configuration option; the bug had appeared in 0.7.53.

    *) Bugfix: "addition_types" directive was incorrectly named
       "addtion_types".

    *) Bugfix: invalid request line in $request variable was written in
       access_log only if error_log was set to "info" or "debug" level.

ProblemType: Bug
Architecture: i386
Date: Wed Mar 3 23:38:03 2010
DistroRelease: Ubuntu 10.04
NonfreeKernelModules: nvidia
Package: nginx (not installed)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-15.22-generic
SourcePackage: nginx
Uname: Linux 2.6.32-15-generic i686

Related branches

Daniel Hahler (blueyed) on 2010-03-03
Changed in nginx (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Daniel Hahler (blueyed) on 2010-03-03
Changed in nginx (Ubuntu):
assignee: nobody → Daniel Hahler (blueyed)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nginx - 0.7.65-1ubuntu1

---------------
nginx (0.7.65-1ubuntu1) lucid; urgency=low

  * Merge from debian testing. (LP: #531655) Remaining changes:
    - Add a UFW profile set:
      + debian/nginx.ufw.profile: Added.
      + debian/control: nginx: Suggests ufw.
      + debian/dirs: Add 'etc/ufw/applications.d'
      + debian/rules: Add install rule for the nginx UFW profile.
    - Install html files.
      - debian/dirs: Add 'var/www/nginx-default'.
      - debian/nginx.install: Add 'html/* var/www/nginx-default'.
 -- Daniel Hahler <email address hidden> Wed, 03 Mar 2010 23:50:36 +0100

Changed in nginx (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers